Upstream information

CVE-2009-2624 at MITRE

Description

The huft_build function in inflate.c in gzip before 1.3.13 creates a hufts (aka huffman) table that is too small, which allows remote attackers to cause a denial of service (application crash or infinite loop) or possibly execute arbitrary code via a crafted archive. NOTE: this issue is caused by a CVE-2006-4334 regression.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entries: 570331 [RESOLVED / FIXED], 588113 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Enterprise Storage 6
SUSE Linux Enterprise Desktop 15 SP1
SUSE Linux Enterprise High Performance Computing 15 SP1
SUSE Linux Enterprise Module for Basesystem 15 SP1
SUSE Linux Enterprise Server 15 SP1
SUSE Linux Enterprise Server for SAP Applications 15 SP1
SUSE Manager Proxy 4.0
SUSE Manager Retail Branch Server 4.0
SUSE Manager Server 4.0
  • gzip >= 1.9-2.21
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 SP1 GA gzip-1.9-2.21
SUSE Linux Enterprise Desktop 12 SP1
  • gzip >= 1.6-7.392
Patchnames:
SUSE Linux Enterprise Desktop 12 SP1 GA gzip-1.6-7.392
SUSE Linux Enterprise Desktop 12 SP2
  • gzip >= 1.6-7.392
Patchnames:
SUSE Linux Enterprise Desktop 12 SP2 GA gzip-1.6-7.392
SUSE Linux Enterprise Desktop 12 SP3
  • gzip >= 1.6-7.392
Patchnames:
SUSE Linux Enterprise Desktop 12 SP3 GA gzip-1.6-7.392
SUSE Linux Enterprise Desktop 12 SP4
  • gzip >= 1.6-9.3.1
Patchnames:
SUSE Linux Enterprise Desktop 12 SP4 GA gzip-1.6-9.3.1
SUSE Linux Enterprise Desktop 12
  • gzip >= 1.6-7.392
Patchnames:
SUSE Linux Enterprise Desktop 12 GA gzip-1.6-7.392
SUSE Linux Enterprise Desktop 15
SUSE Linux Enterprise High Performance Computing 15
SUSE Linux Enterprise Module for Basesystem 15
SUSE Linux Enterprise Server 15
SUSE Linux Enterprise Server for SAP Applications 15
  • gzip >= 1.9-2.21
Patchnames:
SUSE Linux Enterprise Module for Basesystem 15 GA gzip-1.9-2.21
SUSE Linux Enterprise High Performance Computing 12 SP5
  • gzip >= 1.10-2.12
Patchnames:
SUSE Linux Enterprise High Performance Computing 12 SP5 GA gzip-1.10-2.12
SUSE Linux Enterprise Micro 6.0
  • gzip >= 1.13-1.50
Patchnames:
SUSE Linux Enterprise Micro 6.0 GA gzip-1.13-1.50
SUSE Linux Enterprise Server 11 SP1
  • gzip >= 1.3.12-69.19.1
Patchnames:
SUSE Linux Enterprise Server 11 SP1 GA gzip-1.3.12-69.19.1
SUSE Linux Enterprise Server 11 SP2
  • gzip >= 1.3.12-69.19.1
Patchnames:
SUSE Linux Enterprise Server 11 SP2 GA gzip-1.3.12-69.19.1
SUSE Linux Enterprise Server 11 SP3
  • gzip >= 1.3.12-69.23.1
Patchnames:
SUSE Linux Enterprise Server 11 SP3 GA gzip-1.3.12-69.23.1
SUSE Linux Enterprise Server 11 SP4
  • gzip >= 1.3.12-69.23.1
Patchnames:
SUSE Linux Enterprise Server 11 SP4 GA gzip-1.3.12-69.23.1
SUSE Linux Enterprise Server 11
SUSE Linux Enterprise Server for SAP Applications 11
  • gzip >= 1.3.12-69.19.1
Patchnames:
slessp0-gzip
SUSE Linux Enterprise Server 12 SP1
  • gzip >= 1.6-7.392
Patchnames:
SUSE Linux Enterprise Server 12 SP1 GA gzip-1.6-7.392
SUSE Linux Enterprise Server 12 SP2
  • gzip >= 1.6-7.392
Patchnames:
SUSE Linux Enterprise Server 12 SP2 GA gzip-1.6-7.209
SUSE Linux Enterprise Server 12 SP3
  • gzip >= 1.6-7.392
Patchnames:
SUSE Linux Enterprise Server 12 SP3 GA gzip-1.6-7.209
SUSE Linux Enterprise Server 12 SP4
  • gzip >= 1.6-9.3.1
Patchnames:
SUSE Linux Enterprise Server 12 SP4 GA gzip-1.6-9.3.1
SUSE Linux Enterprise Server 12 SP5
  • gzip >= 1.10-2.12
Patchnames:
SUSE Linux Enterprise Server 12 SP5 GA gzip-1.10-2.12
SUSE Linux Enterprise Server 12
  • gzip >= 1.6-7.392
Patchnames:
SUSE Linux Enterprise Server 12 GA gzip-1.6-7.209
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2
  • gzip >= 1.6-7.209
Patchnames:
SUSE Linux Enterprise Server for Raspberry Pi 12 SP2 GA gzip-1.6-7.209
openSUSE Leap 15.0
  • gzip >= 1.9-lp150.2.16
Patchnames:
openSUSE Leap 15.0 GA gzip-1.9-lp150.2.16
openSUSE Tumbleweed
  • >=
Patchnames:
openSUSE-Tumbleweed-2024:10059


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification. The updates are grouped by state of their lifecycle. SUSE product lifecycles are documented on the lifecycle page.

Product(s) Source package State
Products past their end of life and not receiving proactive updates anymore.
SUSE Linux Enterprise Desktop 11 gzip Released
SUSE Linux Enterprise Server 11 SP3 gzip Affected
SUSE Linux Enterprise Server 11 SP3-LTSS gzip Affected
SUSE Linux Enterprise Server 11 SP4 gzip Affected
SUSE Linux Enterprise Server 11 SP4-LTSS gzip Affected


SUSE Timeline for this CVE

CVE page created: Fri Jun 28 07:09:40 2013
CVE page last modified: Sat Jun 15 17:44:05 2024